Packages - Freedom Issue #1862

[libkgapi]: depends on qt5-webengine
2018-06-29 12:23 PM - bill-auger

Status: confirmed % Done: 0%
Priority: freedom issue

Assignee:

Category:

Description

$ sudo pacman -S libkgapi
resolving dependencies...
warning: cannot resolve "gt5-webengine", a dependency of "libkgapi"
The following package cannot be upgraded due to unresolvable dependencies:
libkgapi

affected dependency chain:

kde-development-environment-meta
kdepim-runtime -> kaddressbook -> kdepim-meta -> kde-applications-meta

-> kalarm -> kdepim-meta -> kde—applications-meta
-> kmail -> kdepim-meta -> kde-applications-meta
-> knotes —-> kdepim-meta -> kde—applications-meta
—-> korganizer —> kdepim-meta —-> kde-applications-meta

—-> zanshin
kio-gdrive

this package is already in conflict with 'your-privacy' BTW
'kdepim-runtime' has a distinct verion in [nonprism] which does not depend on libkgapi
'kdepim-runtime' however, has another missing dependency 'libkolab' (issue #1861)

Subtasks:
Bug # 1861: [libkolab]: missing package open

Related issues:
Related to Packages - Freedom Issue #1167: [chromium][electron][gt5-webengine... confirmed

History

#1 - 2018-06-29 12:25 PM - bill-auger

- Related to Freedom Issue #1167: [chromium][electron][qt5-webengine][qt6-webengine] QTWebgine/Electron embeds "entire Chromium platform"
added

#2 - 2019-02-26 06:52 PM - bill-auger
fixed in #2210

#3 - 2019-02-26 06:53 PM - bill-auger

- Assignee set to bill-auger

#4 - 2019-02-26 08:01 PM - bill-auger

- Status changed from open to confirmed

#5 - 2019-02-27 08:38 PM - bill-auger
- Priority changed from broken to freedom issue

- Assignee deleted (bill-auger)
